%define upstream_name    Graphics-ColorNames
%define upstream_version 2.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
License:    GPL or Artistic
Group:      Development/Perl
Summary:    provides RGB values for standard color names
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Graphic/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Carp)
BuildRequires: perl(DirHandle)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Load)
BuildRequires: perl(Module::Loaded)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
This module provides a common interface for obtaining the RGB values of
colors by standard names. The intention is to (1) provide a common module
that authors can use with other modules to specify colors by name; and (2)
free module authors from having to "re-invent the wheel" whenever they
decide to give the users the option of specifying a color by name rather
than RGB value.

For example,

  use Graphics::ColorNames 2.10;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.110.0-7.mga6
+ Revision: 1027966
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.110.0-6.mga6
+ Revision: 931149
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.110.0-5.mga5
+ Revision: 750782
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.110.0-4.mga5
+ Revision: 684895
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.110.0-3.mga4
+ Revision: 511935
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.110.0-2.mga3
+ Revision: 367866
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 2.110.0-1.mga1
+ Revision: 32039
- mageia rebuild
- imported package perl-Graphics-ColorNames

